%define lib_major 3
%define libname %mklibname %{name}_ %{lib_major}
%define libnamedev %mklibname -d %{name}

Name:       v8
Version:    3.1.8.3
Release:    %mkrel 1
Summary:    Google's open source JavaScript engine
Group:      System/Libraries
License:    BSD
URL:        http://code.google.com/p/v8
# from svn http://v8.googlecode.com/svn/tags/3.2.4.2
Source0:    %{name}-%{version}.tar.xz
Patch0:     v8-3.1.8.3-fix-assignment-in-condition.patch
BuildRequires: scons
BuildRequires: readline-devel
Requires:   %{libname} = %{version}-%{release}

%description
V8 is Google's open source JavaScript engine.

V8 is written in C++ and is used in Google Chrome, the open source browser
from Google.

V8 implements ECMAScript as specified in ECMA-262, 3rd edition, and runs on
Windows XP and Vista, Mac OS X 10.5 (Leopard), and Linux systems that use
IA-32 or ARM processors.

V8 can run standalone, or can be embedded into any C++ application.

%files
%defattr(-,root,root,-)
%{_bindir}/d8
#-------------------------------------------------------------------------------
%package -n %{libname}
Group:          System/Libraries
Summary:        Development headers for %{name}
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
V8 is Google's open source JavaScript engine.

V8 is written in C++ and is used in Google Chrome, the open source browser
from Google.

V8 implements ECMAScript as specified in ECMA-262, 3rd edition, and runs on
Windows XP and Vista, Mac OS X 10.5 (Leopard), and Linux systems that use
IA-32 or ARM processors.

V8 can run standalone, or can be embedded into any C++ application.

%files -n %{libname}
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE
%{_libdir}/libv8-%{version}.so
#-------------------------------------------------------------------------------
%package -n %{libnamedev}
Group:          System/Libraries
Summary:        Development headers for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development headers for v8.

%files -n %{libnamedev}
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/libv8.so
#-------------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

%build
export CFLAGS="%{optflags} -fPIC"
export CXXFLAGS="%{optflags} -fPIC"
scons library d8 \
  library=shared soname=on protectheap=on console=readline sample=shell \
%ifarch x86_64
  arch=x64
%endif
%ifarch arm
  arch=arm
%endif

%install
rm -rf %{buildroot}
# binaries
install -d %{buildroot}%{_bindir}
install -D -m755 d8 %{buildroot}%{_bindir}

# libraries
install -d %{buildroot}%{_libdir}
install -D -m755 libv8-%{version}.so %{buildroot}%{_libdir}
ln -sf libv8-%{version}.so %{buildroot}%{_libdir}/libv8.so

# headers
install -d %{buildroot}%{_includedir}
install -D -m644 include/*.h %{buildroot}%{_includedir}

# python
install -d %{buildroot}%{python_sitelib}
install -D -m644 tools/jsmin.py $%{buildroot}%{python_sitelib}

%clean
rm -rf $%{buildroot}



%changelog
* Sat Mar 26 2011 shikamaru <shikamaru> 3.1.8.3-1.mga1
+ Revision: 77771
- imported package v8


* Sat Mar 26 2011 Rémy CLOUARD <shikamaru@mandriva.org> 3.1.8.3-1.mga1
- initial package
